# x (Extract with full paths) command

Extracts files from archive to their full paths in the current directory or to the output directory if specified.

See e (Extract) command description for more deatails.

#### Examples

    7z x archive.zip

extracts all files from archive archive.zip to the current directory.

    7z x archive.zip -oc:\soft *.cpp

extracts all *.cpp files from archive archive.zip to c:\soft folder.

#### Switches that can be used with this command

-ao (Overwrite mode), -i (Include), -o (Set Output Directory), -p (Set Password), -r (Recurse), -x (Exclude), -y (Assume Yes on all queries)

#### See also

Commands: e (Extract)